Skip to content

Fetch API (v3.0: 3.27.0.2)

For differences between versions, see Changelog.

REST API logo


Download OpenAPI description
Overview
API Support Group
License
Languages
Servers
Production server
https://fetch.yellowdogsoftware.com/api/v3

Accounting Export Reports that can be consumed by 3rd Party accounting systems

Operations

Items and Recipes are able to have images associated to them.

Operations

A dynamic list of Items that are designed to aide with physical inventories. Countsheets are based on a static list of items, Levels, and Flags

Operations

Operations used to manage currency conversion for the database. These are used when multiple currencies are used in a database.

Operations

Attributes that are available for assigning to an Item. Attributes can be like a Size or Color.

Operations

Flags allow you to indicate storage locations, making ordering and physical inventories easier.

Operations

Item Inventory OnHand information.

Operations
Operations

UPCs or additional SKUs to for an Item.

Operations

Product information that is tracked in Yellow Dog Inventory.

Operations

A Manual Adjustment will affect an Item's OnHand.

Operations

Database specific configuration information

Operations

Collections of production groups.

Operations

A Purchasing document

Operations
Operations

Collections of items and recipes, with quantities, that are used to create other items.

Operations

Collections of RecipeTypes.

Operations

A requisition for purchasing or transfering an item.

Operations

Creates and commits a Request to be used in the Purchasing Document Workflow.

Request

Security
Auth API User Token
Body

Object of the Request to be created

linesArray of objects or null(Api.Models.Dto.FetchAPICommdocLine)
doCommitboolean
RequestTypestring or null

Valid Request Types: "Purchase", "Transfer", null

commitboolean
idstring(uuid)
thirdPartyIDstring or null
docNumberstring or null
referencestring or null
descriptionstring or null
instructionsstring or null
totalAmountnumber(double)
createdstring(date-time)
lastUpdatedstring(date-time)
vendorstring or null
createdByUserstring or null
notesstring or null
storestring or null
committedstring or null(date-time)
committedByUserstring or null
needBystring or null(date-time)
curl -i -X POST \
  https://fetch.yellowdogsoftware.com/api/v3/requests \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "lines": [
      {
        "commdocLineID": "9cb09c6a-a112-4d73-94fe-fbd96496e1dd",
        "commdocID": "cb99375d-6433-4b86-97cb-443f2b96b6b7",
        "backLinkLineID": "6e13b4f1-3f38-4d49-a5c5-95b5e01905d0",
        "itemID": "f1f85a48-b9b1-447d-a06c-c1acf57ed3a8",
        "vendorPrice": 0,
        "lastVendorPrice": 0,
        "quantity": 0,
        "lineNumber": 0,
        "notes": "string",
        "converted": "string",
        "computedCost": 0,
        "rowDeleted": true
      }
    ],
    "doCommit": true,
    "RequestType": "string",
    "commit": true,
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "thirdPartyID": "string",
    "docNumber": "string",
    "reference": "string",
    "description": "string",
    "instructions": "string",
    "totalAmount": 0.1,
    "created": "2019-08-24T14:15:22Z",
    "lastUpdated": "2019-08-24T14:15:22Z",
    "vendor": "string",
    "createdByUser": "string",
    "notes": "string",
    "store": "string",
    "committed": "2019-08-24T14:15:22Z",
    "committedByUser": "string",
    "needBy": "2019-08-24T14:15:22Z"
  }'

Responses

OK

Response
No content

Commits a Request, this allows the Request to be used in future steps of the Purchasing Document Workflow

Request

Security
Auth API User Token
Path
idstring(uuid)required

CommDoc Id of Request

curl -i -X PATCH \
  'https://fetch.yellowdogsoftware.com/api/v3/requests/{id}/Commit' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Response
No content

Request

Security
Auth API User Token
Path
idstring(uuid)required

CommDoc ID of Request

Query
PageNumberinteger(int32)
  • PageNumber Starts at 1
PageSizeinteger(int32)
  • Default page size: 100
  • Max page size: 500
curl -i -X GET \
  'https://fetch.yellowdogsoftware.com/api/v3/requests/{id}?PageNumber=0&PageSize=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
idstring or nullread-only
codestring or nullread-only
descriptionstring or nullread-only
dueAtstring or null(date-time)read-only
instructionsstring or nullread-only
notesstring or nullread-only
referencestring or nullread-only
requestedAtstring or null(date-time)read-only
createdAtstring(date-time)read-only
statusinteger(int32)(Dingo.GraphQL.RequestStatus)
Enum0123456789
storeobject(Dingo.GraphQL.IGetMyRequest_Me_Request_Store)
requestorobject(Dingo.GraphQL.IGetMyRequest_Me_Request_Requestor)
requestTypeinteger(int32)(Dingo.GraphQL.YdRequestType)
Enum012
linesobject(Dingo.GraphQL.IGetMyRequest_Me_Request_Lines)
Response
application/json
{ "id": "string", "code": "string", "description": "string", "dueAt": "2019-08-24T14:15:22Z", "instructions": "string", "notes": "string", "reference": "string", "requestedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "status": 0, "store": { "code": "string", "description": "string", "id": "string", "requestEmailAddress": "string" }, "requestor": { "code": "string", "id": "string", "name": "string", "email": "string" }, "requestType": 0, "lines": { "id": "string", "count": 0, "uniqueItemCount": 0, "totalQuantity": 0.1, "totalVendorPrice": 0.1, "nodes": [ … ] } }

Request

Security
Auth API User Token
Path
idstring(uuid)required

CommDoc Id of Request

Body

Any alterations to the Request

linesArray of objects or null(Api.Models.Dto.FetchAPICommdocLine)
doCommitboolean
RequestTypestring or null

Valid Request Types: "Purchase", "Transfer", null

commitboolean
idstring(uuid)
thirdPartyIDstring or null
docNumberstring or null
referencestring or null
descriptionstring or null
instructionsstring or null
totalAmountnumber(double)
createdstring(date-time)
lastUpdatedstring(date-time)
vendorstring or null
createdByUserstring or null
notesstring or null
storestring or null
committedstring or null(date-time)
committedByUserstring or null
needBystring or null(date-time)
curl -i -X PATCH \
  'https://fetch.yellowdogsoftware.com/api/v3/requests/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "lines": [
      {
        "commdocLineID": "9cb09c6a-a112-4d73-94fe-fbd96496e1dd",
        "commdocID": "cb99375d-6433-4b86-97cb-443f2b96b6b7",
        "backLinkLineID": "6e13b4f1-3f38-4d49-a5c5-95b5e01905d0",
        "itemID": "f1f85a48-b9b1-447d-a06c-c1acf57ed3a8",
        "vendorPrice": 0,
        "lastVendorPrice": 0,
        "quantity": 0,
        "lineNumber": 0,
        "notes": "string",
        "converted": "string",
        "computedCost": 0,
        "rowDeleted": true
      }
    ],
    "doCommit": true,
    "RequestType": "string",
    "commit": true,
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "thirdPartyID": "string",
    "docNumber": "string",
    "reference": "string",
    "description": "string",
    "instructions": "string",
    "totalAmount": 0.1,
    "created": "2019-08-24T14:15:22Z",
    "lastUpdated": "2019-08-24T14:15:22Z",
    "vendor": "string",
    "createdByUser": "string",
    "notes": "string",
    "store": "string",
    "committed": "2019-08-24T14:15:22Z",
    "committedByUser": "string",
    "needBy": "2019-08-24T14:15:22Z"
  }'

Responses

OK

Response
No content

Associate a count to an Item, these sessions can be used for Purchasing Documents or Physical Inventories.

Operations

Business Entities or locations of a single business entity that need to maintain their own inventory records.

Operations

Additional configuration options that control item, store or level behavior with third-party integrations

Operations

Third Party Mappings with Yellow Dog Inventory

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

A record of movement of Items from one Store to another.

Operations

Vendors, Suppliers, Distributors, or Manufacturors that provide Items into the Inventory.

Operations